# Retrieve a customer’s subscriptions

Use the **getCustomerSubscriptions** method to retrieve details about the subscriptions belonging to a specific customer.

Subscriptions can be retrieved starting with 5 minutes after their orders are generated in the 2Checkout system.

## Request parameters

<table><thead><tr><th width="251.3333740234375">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><strong>Required (string)</strong><br>Session identifier, the output of the <strong>Login</strong> method. Include <code>sessionID</code> into all your requests. 2Checkout throws an exception if the values are incorrect. The <code>sessionID</code> expires in <strong>10 minutes</strong>.</td></tr><tr><td><code>avangateCustomerReference</code></td><td><strong>Required (int)</strong><br>System-generated customer reference. Required unless you prefer to use <code>ExternalCustomerReference</code>.</td></tr><tr><td><code>externalCustomerReference</code></td><td><strong>Optional (string)</strong><br>External customer reference that you control. Optional when you use <code>AvangateCustomerReference</code>. If you include it, it needs to belong to the same customer as the <code>AvangateCustomerReference</code>.</td></tr></tbody></table>

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$customerReference = YOUR_CUSTOMER_REFERENCE;

$jsonRpcRequest = array (
    'method' => 'getCustomerSubscriptions',
    'params' => array($sessionID, $customerReference),
    'id' => $i++,
    'jsonrpc' => '2.0'
);

var_dump (callRPC((Object)$jsonRpcRequest, $host, true));
```

## Response parameters

<table><thead><tr><th width="163.86669921875">Parameter</th><th>Type</th></tr></thead><tbody><tr><td><a href="/pages/4832d693039556476b2c8d99dbf87398de591237"><code>Subscription</code></a></td><td><strong>Array of objects</strong></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/subscription/retrieve-a-customers-subscriptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
